Bug 1367368 - Problem with building python-setuptools in Copr for fedora-23-x86_64
Summary: Problem with building python-setuptools in Copr for fedora-23-x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 09:39 UTC by chuzhang
Modified: 2016-10-09 02:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:05:52 UTC


Attachments (Terms of Use)

Description chuzhang 2016-08-16 09:39:58 UTC
Description of problem:

I tried to build python-setuptools but it failed always.

https://copr-be.cloud.fedoraproject.org/results/%40pdc/pdc-test/fedora-23-x86_64/00441744-python-setuptools/

See log from the build

DEBUG util.py:421:  Downloading packages:
DEBUG util.py:421:  warning: /var/lib/mock/fedora-23-x86_64-mockbuilder-12325/root/var/cache/yum/updates/packages/audit-libs-2.6.5-1.fc23.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 34ec9cba: NOKEY
DEBUG util.py:421:  Public key for audit-libs-2.6.5-1.fc23.x86_64.rpm is not installed
DEBUG util.py:421:  Public key for basesystem-11-1.fc23.noarch.rpm is not installed
DEBUG util.py:421:  https://copr-be.cloud.fedoraproject.org/results/%40pdc/pdc-test/fedora-23-x86_64/00439682-python-setuptools/python3-setuptools-25.1.1-1.fc23.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
DEBUG util.py:421:  Trying other mirror.
DEBUG util.py:421:  Error downloading packages:
DEBUG util.py:421:    python3-setuptools-25.1.1-1.fc23.noarch: [Errno 256] No more mirrors to try.
DEBUG util.py:557:  Child return code was: 1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Import or upload a source rpm
2.Build with fedora-23-x86_64

Actual results:
Failed

Expected results:
Success

Additional info:
It seems some package depend on 00439682-python-setuptools/python3-setuptools-25.1.1-1.fc23.noarch.rpm which is already deleted. Any cache here, why not using python3-setuptools form fedora's repo.

Comment 1 clime 2016-09-05 13:30:06 UTC
The repodata were not up to date (they contained a record about the deleted version of the package) when you attempted to build the python-setuptools package. 

This problem was fixed by https://github.com/fedora-copr/copr/commit/29d844d7.

Related to https://bugzilla.redhat.com/show_bug.cgi?id=1368259.

Comment 2 clime 2016-09-05 14:11:16 UTC
This is not yet in production Reopening to 'Modified' state.

Comment 3 Fedora Update System 2016-09-12 06:37:36 UTC
copr-frontend-1.101-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 4 Fedora Update System 2016-09-12 06:37:45 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 5 Fedora Update System 2016-09-12 06:37:53 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 6 clime 2016-09-12 06:41:17 UTC
New copr-frontend version has been released.

Comment 7 Fedora Update System 2016-09-12 14:51:20 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 8 Fedora Update System 2016-09-12 15:27:02 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 9 Fedora Update System 2016-09-12 15:27:03 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 10 Fedora Update System 2016-10-03 17:23:10 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-03 20:21:28 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-09 02:55:58 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.